{% extends 'includes/layout.njk' %}

{% block stylesheets %}
    <link rel="stylesheet" href="{{ url_for('/style/page.css') }}">
{% endblock %}

{% if(page.title) %}
    {% block title %} > {{ page.title }}{% endblock %}
{% endif %}

{% block content %}
    <div class="content-text">
        {% if page.source == 'shows/index.md' %}
            {{ page.more }}
            {% set show_joiner = joiner('<hr />') %}
            {% for p in site.pages.toArray().sort(dynamicSort("title")) %}
                {% if p.source.startsWith('shows/') and p.source != "shows/index.md" %}
                   {{ show_joiner() }}
                   {% include '_partial/show_card.njk' %}
                {% endif %}
            {% endfor %}

        {% elif page.source == 'team/index.md' %}
            {{ page.more }}
            {% set member_joiner = joiner('<hr />') %}
            {% for p in site.pages.toArray().sort(dynamicSort("streamer")) %}
                {% if p.source.startsWith('team/') and p.source != "team/index.md" %}
                    {{ member_joiner() }}
                    {% include '_partial/member_card.njk' %}
                {% endif %}
            {% endfor %}

         {% elif page.source == 'news/index.md' %}
            {{ page.more }}
            {% set show_joiner = joiner('<hr />') %}
            {% for p in site.pages.toArray().sort(dynamicSort("-date")) %}
                {% if p.source.startsWith('news/') and p.source != "news/index.md" %}
                   {{ show_joiner() }}
                   {% include '_partial/news_card.njk' %}
                {% endif %}
            {% endfor %}

        {% elif page.source.startsWith('news/') and page.source != "news/index.md" %}
            {% include '_partial/news_header.njk' %}
            {{ page.more }}

        {% else %}
            {{ page.more }}
        {% endif %}
    </div>
{% endblock %}
